...
 
Commits (3)
AC_PREREQ(2.68)
AC_COPYRIGHT([Copyright (c) 2019 UPLEX - Nils Goroll Systemoptimierung])
AC_INIT([libvmod-file], [trunk], [varnish-support@uplex.de], [vmod-file])
AC_INIT([libvmod-file], [0.2.0], [varnish-support@uplex.de], [vmod-file])
AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_SRCDIR(src/vmod_file.vcc)
AM_CONFIG_HEADER(config.h)
......@@ -64,7 +64,14 @@ AC_SUBST([VARNISH_LIBRARY_PATH],
[$LIBVARNISHAPI_LIBDIR:$LIBVARNISHAPI_LIBDIR/varnish])
# Checks for C sources
# XXX
AC_CHECK_FUNCS([memset])
AC_CHECK_FUNCS([munmap])
AC_CHECK_FUNCS([strchr])
AC_CHECK_FUNCS([strdup])
AC_CHECK_HEADERS([fcntl.h])
AC_FUNC_MALLOC
AC_FUNC_MMAP
AC_TYPE_SIZE_T
# --enable-stack-protector
AC_ARG_ENABLE(stack-protector,
......
#! /bin/bash -ex
# Build script for a VMOD file el7 RPM
# to be run in the rpmbuild/centos7 docker container.
# Env variables VERSION and RELEASE MUST be set in the docker invocation.
# DIST is set by the rpmbuild/centos7 container.
# The directory mounted to /srv MUST contain these files:
# - this script (named pkg)
# - VMOD file tarball (vmod-file-$VERSION.tar.gz)
# - RPM spec file (vmod-file.spec)
# - yum repo config for varnish63@packagecloud (varnishcache_varnish63.repo)
# (see https://packagecloud.io/varnishcache/varnish63/install#manual-rpm)
# Sample docker invocation:
# $ docker run -t -v $PWD:/srv -e VERSION=47.1.1 -e RELEASE=815 \
# rpmbuild/centos7 /srv/pkg
# At the end of the run, binary, source and debuginfo RPMs are in the
# directory mounted to /srv.
if [ -z $VERSION ]; then
echo "Env variable VERSION MUST be set"
exit 1
fi
if [ -z $RELEASE ]; then
echo "Env variable RELEASE MUST be set"
exit 1
fi
# delete the peculiar macros from the rpmbuild/centos7 image
rm /home/builder/.rpmmacros
# set up the build environment
cd /home/builder
mkdir -p rpmbuild/{BUILD,BUILDROOT,RPMS,SOURCES,SPECS,SRPMS}
cp /srv/vmod-file.spec rpmbuild/SPECS
cp /srv/vmod-file-${VERSION}.tar.gz rpmbuild/SOURCES
# install epel7 repo
sudo yum install -y -q epel-release
# set up varnish repo
sudo cp /srv/varnishcache_varnish63.repo /etc/yum.repos.d/
sudo yum -q makecache -y fast
# build requirements
sudo yum install -y -q varnish-devel pkgconfig make gcc python-docutils
# build RPMs
rpmbuild -ba -D "dist .${DIST}" \
-D "_version ${VERSION}" \
-D "_release ${RELEASE}" \
rpmbuild/SPECS/vmod-file.spec
sudo cp rpmbuild/RPMS/*/* /srv
sudo cp rpmbuild/SRPMS/* /srv
[varnishcache_varnish63]
name=varnishcache_varnish63
baseurl=https://packagecloud.io/varnishcache/varnish63/el/7/$basearch
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish63/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
[varnishcache_varnish63-source]
name=varnishcache_varnish63-source
baseurl=https://packagecloud.io/varnishcache/varnish63/el/7/SRPMS
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish63/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
# -D MUST pass in _version and _release, and SHOULD pass in dist.
Summary: Varnish VMOD for reading files that may be updated at intervals
Name: vmod-file
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-file
Source0: %{name}-%{version}.tar.gz
# varnish from varnish63 at packagecloud
# This is the Requires for VMOD ABI compatibility with VRT >= 10.0.
Requires: varnishd(vrt)%{?_isa} >= 10
BuildRequires: varnish-devel >= 6.3.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6
# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6
Provides: vmod-file, vmod-file-debuginfo
%description
VMOD file is a Varnish Module for reading the contents of a file and
caching its contents, returning the contents for use in the Varnish
Configuration Language (VCL), and checking if the file has changed after
specified time intervals elapse.
%prep
%setup -q -n %{name}-%{version}
%build
# if this were a git build
# ./autogen.sh
%configure
make -j
%check
make -j check
%install
make install DESTDIR=%{buildroot}
# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'
%clean
rm -rf %{buildroot}
%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE
%post
/sbin/ldconfig
%changelog
* Tue Oct 8 2019 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
- Require VRT 10.0, compatible with Varnish 6.3